#include <jni.h>
#include "JNIWrapper.h"
#include <stdio.h>
#include "slalib.h"

/**
 *  Slalib s l a A i r m a s - Air mass at given zenith distance.
 *
 *  @version 25 July 2001
 *  @author C. Mavros for ESO
 *
 *  @param zd d observed zenith distance (radians)
 *
 *  @return an estimate of the air mass, in units of that
 *  at the zenith.
 */

JNIEXPORT jdouble JNICALL Java_org_eso_ohs_phase2_visiplot_JNIWrapper_jnislaAirmass
  (JNIEnv * env, jobject jobj, jdouble jd){

    return (slaAirmas(jd));

}

