//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// COPYRIGHT (c) 1996 European Southern Observatory
// LICENSE
//
// PROJECT:   VLT Data Flow System
// AUTHOR:    Jeremy Maxfield
// SUBSYSTEM: Pipeline
// CI NUMBER: DFS-PIL-XXX
//
// $Revision: 1.2 $
// $Log: CompilerFixes.h,v $
// Revision 1.2  2004/10/26 15:23:54  nferguso
// Temporary check-in for repository move.
//
// Revision 1.1  2004/09/06 14:35:21  cguirao
// *** empty log message ***
//
// Revision 1.1  2004/09/02 14:35:20  cguirao
// *** empty log message ***
//
// Revision 1.1  2004/06/24 13:12:15  cguirao
// First check in
//
// Revision 1.3  2002/10/22 14:41:03  dataflow
// Adding <fstream.h> to avoid core dumps with
// G++ 3.2 . CG
//
// Revision 1.2  1998/06/30 08:57:36  dataflow
// Removing $NAME
//
// Revision 1.1  1996/12/20 11:40:48  dfadmin
// Initial revision
//
//
//-----------------------------------------------------------------------------

#ifndef  _COMPILER_FIXES_H_
#define  _COMPILER_FIXES_H_

// CG. 22.10.02 fstream.h is needed here, to avoid core dumps with g++ V.3.2
// Very likely definitions like bool, false and/or true are very basic 
// definition 
// for the OS. If they are defined outside (like in this include file) they may 
// change the whole behaviour of other system include files (e.g. iostream)
// <fstream.h> is a system include file that somehow avoid the core dumps.

// #include <fstream.h> *** DEPRECATED - use fstream instead - NGF 04.10.04. 
#include <fstream>

#ifndef  bool 
#define  bool int
#endif

#ifndef  false 
#define  false 0 
#endif

#ifndef  true 
#define  true 1 
#endif

#endif
