#ifndef DFCSETOFFRAMES_H
#define DFCSETOFFRAMES_H

#include "DfsCString.h"
#include "DfsConstants.h"
#include "DfsTValSlist.h"

class DfcSetOfFrames {
          public:
             DfcSetOfFrames(){;}
             DfcSetOfFrames(const DfsTValSlist<DfsCString>& mylist);
             DfcSetOfFrames(const DfcSetOfFrames& other);
 
             DfcSetOfFrames& operator = (const DfcSetOfFrames& cc);
     
             void addFrame(const DfsCString& filename);
             void saveAsAscii(const DfsCString& asciiname);
             DfsBoolean getStatus() const;
             void setStatus(const DfsBoolean& stat);
             DfsCString getRecipe() const;
             DfsTValSlist<DfsCString> getFramelist() const; 
             void setName(const DfsCString& name);
             DfsCString getName() const;
             void setRecipe(const DfsCString& recipe);
             void printTest();
             void init();
          private:
             DfsTValSlist<DfsCString> framelist; 
	     DfsCString name;
             DfsCString recipe;
             DfsBoolean status;
};
#endif
