#ifndef QUCCLASSIFICATIONRULE_HH
#define QUCCLASSIFICATIONRULE_HH

#include "DfsCString.h"

class DfcObservationSummaryTable;
class QucClassificationRule {
      public:
           QucClassificationRule(){;}
           QucClassificationRule(const QucClassificationRule& qc);
           QucClassificationRule(const DfsCString& aname, 
                                 const DfsCString& acriteria);

           ~QucClassificationRule(){;}

           QucClassificationRule& operator = (const QucClassificationRule& cc);
           DfsBoolean operator==(const QucClassificationRule& cc);
           void setName(const DfsCString& aname);
           DfsCString getName() const;
           void setCrule(const DfsCString& aname);
           DfsCString getCrule() const;
           DfsCString getPkeylist() const;
           void setPkeylist(const DfsCString& aname);
           DfsCString convertToMidas();
           void run(const DfcObservationSummaryTable& anost, 
                    const DfsCString& frame);
      private:
           DfsCString name;
           DfsCString crule;
           DfsCString pkeylist; 
};
#endif
