#include <jni.h>
#include "JNIWrapper.h"
#include <stdio.h>
#include "slalib.h"

/**
 *  SLALIB s l a G m s t - Conversion from Universal Time to Sidereal Time.
 *
 *
 * @version 15 August 2001
 * @author C. Mavros for ESO
 *
 * @param ut1 double Universal Time (strictly UT1) expressed as
 *                      Modified Julian Date (JD-2400000.5)
 * @return Greenwich Mean Sidereal Time (double, radians).
 */

JNIEXPORT jdouble JNICALL Java_org_eso_ohs_phase2_visiplot_JNIWrapper_jnislaLST
  (JNIEnv * env, jobject jobj, jdouble jJD){

    return(slaGmst (jJD));

}
