#ifndef DFCLOGINFO_H
#define DFCLOGINFO_H

#include <iostream>
#include "DfsCString.h"
#include "DfsTValSlist.h"
#include "dfslog.h"

class DfcLogInfo {
          public:
             DfcLogInfo() {
				 sout = false;
				 /* initialize logging system - log messages only
				  - no printing to other outputs */
				dfslogInitialize(DFSLOG_LOGMESSAGES, (char *)0);
   				dfslogSetLowestLoggedPriority(DfsLogInfo);

			 }
             void setDestination(const DfsCString& filename); 
             void setFilePref(const DfsCString& apref);
             void reportInfo(const DfsCString& message, DfsBoolean sendToDFSLog = true);
             void reportError(const DfsCString& message, DfsBoolean sendToDFSLog = true);
             void getTimeOut(DfsCString& filename, DfsCString& time);
             void setStanOut(const DfsBoolean& val ) {sout = val;}
          private:
             DfsCString filename;
             DfsCString pref;
             DfsBoolean sout;
};
#endif
