#ifndef DFCOBSERVATIONSUMMARYTABLE_HH
#define DFCOBSERVATIONSUMMARYTABLE_HH

#include "DfsCString.h"

class DfcObservationSummaryTable {
	public:
           DfcObservationSummaryTable() {;}
           DfcObservationSummaryTable(const DfsCString& aname, 
				      const DfsCString& descrtab, int aClient);
           void addFrame(const DfsCString& aframe);
           int getFramebyName(const DfsCString& aframe) const;
           void setName(const DfsCString& aname);
           DfsCString getName() const;
           void setKeyTable(const DfsCString& aname);
           DfsCString getKeyTable() const;
           ~DfcObservationSummaryTable(){;}
	private:
           DfsCString name;
	       DfsCString keyTable;
           int nrow;
           int ncol;
};
#endif
