//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// COPYRIGHT (c) 1996 European Southern Observatory
// LICENSE
//
// PROJECT:   VLT Data Flow System
// AUTHOR:    Jeremy Maxfield
// SUBSYSTEM: Dataflow core
// CI NUMBER: DFS-DFC-XXX
//
// $Revision: 1.2 $
// $Log: DfcParsable.h,v $
// Revision 1.2  2004/10/26 15:45:27  nferguso
// temp
//
// Revision 1.1  2004/09/06 14:35:23  cguirao
// *** empty log message ***
//
// Revision 1.1  2004/09/02 14:35:21  cguirao
// *** empty log message ***
//
// Revision 1.1  2004/06/24 13:12:16  cguirao
// First check in
//
// Revision 1.2  1998/06/30 08:57:51  dataflow
// Removing $NAME
//
// Revision 1.1  1996/12/20 11:40:54  dfadmin
// Initial revision
//
//
//-----------------------------------------------------------------------------

#ifndef _DFC_PARSEABLE_H_
#define _DFC_PARSEABLE_H_

#include <iostream>
#include <DfcParseString.h>
#include <CompilerFixes.h>

class DfcParsable
{
   public:
      DfcParsable();
      virtual bool parse(DfcParseString& string) = 0;

   protected:
      DfsCString  SPACE;
      DfsCString  EQUAL;
      DfsCString  NEW_LINE;
      DfsCString  QUOTE;
      DfsCString  CURLY_LEFT;
      DfsCString  CURLY_RIGHT;
      DfsCString  BRACE_LEFT;
      DfsCString  BRACE_RIGHT;
      DfsCString  SEMI_COLON ;
      DfsCString  COLON;
      DfsCString  COMMA;
      DfsCString  AND;
      DfsCString  OR;
};

#endif

