#ifndef INTERPRETER_HH
#define INTERPRETER_HH

#include "DfsCString.h"
#include "DfsTValSlist.h"
#include "DfsTPtrSlist.h"

class QucReductionRule;
class QucCompositeReductionRule;
class QucClassificationRule;
class QucInstrumentKeywords;
class QucInterpreter {
     public:
         QucInstrumentKeywords interpretRawData(const DfsCString& instrument,
                                                const DfsCString& filename,
                               DfsTValSlist<QucClassificationRule>& rclist);
         DfsTPtrSlist<QucReductionRule>  
                  interpretRules(const DfsCString& filename, int aClient);
 
         QucCompositeReductionRule* interpretErules(const DfsCString& filename,
                                      DfsTPtrSlist<QucReductionRule>* rrl);

};
#endif

